Page MenuHomePhabricator

Requesting access to Jupyter notebook / analytics-privatedata-users for jgleeson
Closed, ResolvedPublicRequest

Description

Username: jgleeson

Full name: Jack Gleeson

Team: Fr Tech (Engineer)

Public Key:

ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAACAQC/4WyLSPS/Kd/QQQXZOWomOKl+JrW1Av6+hjbWqHWopg3/nxN0ugNYuA4f2pVNPHJf5NB9Ch2OEeu/45SMvXboGnrM+V1OGIGpPYhlVb0hz5kERDzpwft9jH6FkAy3UWrFKygxlSgLjfpIrjyiNmFDlTgxFbs1IBjvWKp2bkEsy59P57le1LtNu+kq4v0y/3TSLaLmEg1+VsjlCsiVX13ybXRecCMPsoTM0McKbOH7h+d3I+cYe+XfdRkmZ/Gc42XX8vAr6Z3MpzR1pfh1796TuPv2vN2QT0VM+ExqCr6/7nqJNwL1XWoVMiNkIwNaR/84+h2R3jZ+2uWzuiu7uF1QYX+DjJicDWkn7sDHHqzuHXnpW2/h/qMwmf1NoDJhmKP8Q7/DEKoNp9exzoGAVWcKTnOBpD80JsoDMG9d/T+y+EX69WvF13pl2BuqvWEOxNqR5Cr/5QwATGjmttgEwlGBS2o1awo6S1nnHMqLa14V1JHGWxZ3O/wvEj+Us3afYZ1N4E0IMvbvRehBB3waLnsMKWriGiNVPwNeHsX6oVintHXOSzX51XugNujtb8DcgJnrRT13y05vqSqcP2gIcdvj3umF2vCoccHjD8NaVNSTnxvQJZdDcOX0f+lcoF3VuA0LmGoIpSY4gVGOeLQdfmM1NEA/gYghT1PvHdKW5BcYOQ== jgleeson@wikimedia.org

Reason: Need SWAP access to review fr-tech code review process,

...Access to WMF data stores is required. For Jupyter notebook setup, see SWAP instructions on Wikitech.

see https://github.com/AndrewGreen/centralnotice_analytics

  • - User has signed the L3 Acknowledgement of Wikimedia Server Access Responsibilities Document.
  • - User has a valid NDA on file with WMF legal. (This can be checked by Operations via the NDA tracking sheet & is included in all WMF Staff/Contractor hiring.)
  • - User has provided the following: wikitech username, preferred shell username, email address, and full reasoning for access (including what commands and/or tasks they expect to perform.
  • - User has provided a public SSH key. This ssh key pair should only be used for WMF cluster access, and not share with any other service (this includes not sharing with WMCS access, no shared keys.)
  • - access request (or expansion) has sign off of WMF sponsor/manager (sponser for volunteers, manager for wmf staff)
  • - sudo requests: all sudo requests require explicit approval during the weekly operations team meeting. No sudo requests will be approved outside of those meetings without the direct override of the Director of Operations.
  • - Patchset for access request

Event Timeline

jgleeson created this task.Oct 31 2018, 3:32 PM
Restricted Application added a project: Operations. · View Herald TranscriptOct 31 2018, 3:32 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
ema triaged this task as Normal priority.Nov 2 2018, 2:13 PM
ema updated the task description. (Show Details)
ema updated the task description. (Show Details)Nov 5 2018, 1:33 PM
ema added a subscriber: ema.

@jgleeson: we need your public SSH key (not the wikitech one) as well as manager approval.

jgleeson updated the task description. (Show Details)Nov 5 2018, 1:51 PM
jgleeson updated the task description. (Show Details)
jgleeson added a comment.EditedNov 5 2018, 2:28 PM

@ema, key added.

@XenoRyet can you approve please.

ArielGlenn updated the task description. (Show Details)Nov 12 2018, 9:57 AM
RobH assigned this task to XenoRyet.Nov 20 2018, 4:55 PM
RobH added a subscriber: RobH.

Please note I'm triaging this as part of clinic duty. In review, it seems that all criteria have been met, save one. We need @XenoRyet to sign off (as @jgleeson's manager, I assume since @jgleeson tagged them in.)

I'm assigning to @XenoRyet for feedback. Please comment in, and unassign yourself. Once this has no assignee, it will be picked back up by clinic duty.

jcrespo reassigned this task from XenoRyet to mepps.Nov 26 2018, 10:41 AM
jcrespo added subscribers: mepps, DStrine, jcrespo.

@mepps @DStrine Can you approve the request? Please comment in, and unassign yourself. Once this has no assignee, it will be picked back up by clinic duty.

mepps removed mepps as the assignee of this task.Nov 26 2018, 7:47 PM

@jcrespo I just returned from maternity leave and I can approve this request.

jcrespo updated the task description. (Show Details)Nov 27 2018, 11:05 AM

This now can proceed after the 3 business days wait, @jgleeson please be around on Friday to test the access. As far as I can see, WMF LDAP access is already granted.

jcrespo claimed this task.Nov 27 2018, 11:13 AM

Change 476004 had a related patch set uploaded (by Jcrespo; owner: Jcrespo):
[operations/puppet@production] admin: Add jgleeson access to production cluster

https://gerrit.wikimedia.org/r/476004

Change 476004 merged by Jcrespo:
[operations/puppet@production] admin: Add jgleeson access to production cluster

https://gerrit.wikimedia.org/r/476004

jcrespo updated the task description. (Show Details)Nov 30 2018, 10:55 AM
jcrespo closed this task as Resolved.Nov 30 2018, 11:01 AM

This is now deployed, in around 30 minutes this will be applied to all servers. After that, please @jgleeson , check you can access WMF infrastructure by following https://wikitech.wikimedia.org/wiki/Production_shell_access#Setting_up_your_SSH_config

You can also contact any of your colleagues, us ops here for help, or reach the clinic duty SRE person on the Freenode public channel #wikimedia-operations.